Skip to content

Blacklist

Block contacts and companies from being imported, enriched, or contacted. Blacklisted records are filtered out of automations, mass actions, and CSV imports.

List blacklisted contacts

Request

Returns blacklisted contact entries for the team. Blacklisted contacts are excluded from imports, enrichment, automations, and mass actions.

Security
bearerAuth
Query
limitinteger, (int32)

Items per page (default 20).

Default:20
Example:limit=20
offsetinteger, (int32)

Items to skip (default 0).

Default:0
Example:offset=0
GET
/leads/api/leads-blacklist
curl -i -X GET \
  'https://leadgen.grinfi.io/leads/api/leads-blacklist?limit=20&offset=0' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Paginated list of blacklisted contacts.

Bodyapplication/json
dataArray of objects(lead-blacklist-entry)
limitinteger
offsetinteger
totalinteger
has_moreboolean
Response
{ "data": [ {} ], "limit": 0, "offset": 0, "total": 0, "has_more": true }